CRAN Package Check Results for Package metaboGSE

Last updated on 2018-05-14 01:46:47 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 1.0.2 42.85 532.82 575.67 OK
r-devel-linux-x86_64-debian-gcc 1.0.2 38.13 460.90 499.03 OK
r-devel-linux-x86_64-fedora-clang 1.0.2 773.97 NOTE
r-devel-linux-x86_64-fedora-gcc 1.0.2 756.59 NOTE
r-devel-windows-ix86+x86_64 1.0.2 66.00 631.00 697.00 NOTE
r-patched-linux-x86_64 1.0.2 40.58 534.21 574.79 OK
r-patched-solaris-x86 1.0.2 1018.20 NOTE
r-release-linux-x86_64 1.0.2 41.50 524.12 565.62 OK
r-release-windows-ix86+x86_64 1.0.2 66.00 631.00 697.00 NOTE
r-release-osx-x86_64 1.0.2 ERROR
r-oldrel-windows-ix86+x86_64 1.0.2 75.00 515.00 590.00 NOTE
r-oldrel-osx-x86_64 1.0.2 ERROR

Check Details

Version: 1.0.2
Check: installed package size
Result: NOTE
     installed size is 6.1Mb
     sub-directories of 1Mb or more:
     data 5.6Mb
Flavors: r-devel-linux-x86_64-fedora-clang, r-devel-linux-x86_64-fedora-gcc, r-devel-windows-ix86+x86_64, r-patched-solaris-x86, r-release-windows-ix86+x86_64, r-release-osx-x86_64, r-oldrel-windows-ix86+x86_64

Version: 1.0.2
Check: package dependencies
Result: NOTE
    Packages suggested but not available for checking: ‘clpAPI’ ‘glpkAPI’ ‘ctc’
Flavor: r-release-osx-x86_64

Version: 1.0.2
Check: examples
Result: ERROR
    Running examples in ‘metaboGSE-Ex.R’ failed
    The error most likely occurred in:
    
    > ### Name: rescue
    > ### Title: Rescue a model
    > ### Aliases: rescue
    >
    > ### ** Examples
    >
    > data(Ec_core)
    > rescue(Ec_core, target=0.1)
    Loading required package: glpkAPI
    Warning in library(package, lib.loc = lib.loc, character.only = TRUE, logical.return = TRUE, :
     there is no package called ‘glpkAPI’
    Error in checkDefaultMethod(solver, method, pType) :
     package ‘glpkAPI’ not found
    Calls: rescue ... optimizeProb -> optimizeProb -> .local -> sysBiolAlg
    Execution halted
Flavor: r-release-osx-x86_64

Version: 1.0.2
Check: re-building of vignette outputs
Result: WARN
    Error in re-building vignettes:
     ...
    
    The following object is masked from 'package:base':
    
     backsolve
    
    
    groupGOTerms: GOBPTerm, GOMFTerm, GOCCTerm environments built.
    
    Attaching package: 'topGO'
    
    The following object is masked from 'package:IRanges':
    
     members
    
    The following objects are masked from 'package:sybil':
    
     algorithm, algorithm<-, allGenes, genes
    
    Loading required package: clpAPI
    Warning in library(package, lib.loc = lib.loc, character.only = TRUE, logical.return = TRUE, :
     there is no package called 'clpAPI'
    Quitting from lines 37-41 (metaboGSE.Rmd)
    Error: processing vignette 'metaboGSE.Rmd' failed with diagnostics:
    package 'clpAPI' not found
    Execution halted
Flavor: r-release-osx-x86_64

Version: 1.0.2
Check: package dependencies
Result: ERROR
    Package required and available but unsuitable version: ‘sybil’
    
    Packages suggested but not available for checking: ‘clpAPI’ ‘glpkAPI’ ‘ctc’
    
    See section ‘The DESCRIPTION file’ in the ‘Writing R Extensions’
    manual.
Flavor: r-oldrel-osx-x86_64